###################################################################################################################################################
# Copyright 2018 Orchid Systems 
# -----------------------------
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an as is basis for training and demonstration purposes only and is not supported by Orchid Systems.
# If this code is deployed in a live production environment it is the responsibility of the End User to ensure 
# that it is operating as required.
###################################################################################################################################################


from accpac import *
# This validates the CODECTRY field is not blank and valid before inserting or updating AR Customers and AR Customer shipto codes.

# onOpen is called when the view is opened.
# Return Continue to enable the macro.
# Return 0 to disable the macro.
# If you return anything else then the view will not load.
def onOpen():
	return Continue

def Validate():

	countrylist = ['CA','US','AU','NZ']
	if me.get("CODECTRY").strip() == "":
		error("You must enter a Country Code, it cannot be blank")
		return 1
	
	if me.get("CODECTRY").strip() not in countrylist:
		error("Invalid country code [" + me.get("CODECTRY").strip() + "]. You must enter a valid Country Code, one of CA, US, AU or NZ")
		return 1

	return Continue

def onBeforeInsert():
	return Validate()

def onBeforeUpdate():
	return Validate()

